Page MenuHomePhabricator

Allow different maps to be edited separately in the TemplateData dialog
Closed, ResolvedPublic

Description

Following T257503, the TemplateData dialog has a panel for editing maps, as a JSON in a text area.

As a next step, we should have separate text areas for editing each map, and make it easier to add a map, delete a map and edit a map's contents.

Acceptance criteria:

  • The maps panel has a menu containing the names of the maps, and a text area for editing the JSON of a single map
  • Clicking on a map name fills the text area with that map's details
  • It is possible to add a new map
  • It is possible to delete a map
  • If there are no maps, there is an option to add a map and a message explaining that there are no maps

Event Timeline

Tchanders moved this task from Untriaged to Onboarding Tasks on the Anti-Harassment board.

Assuming this task is about the TemplateData code project, hence adding that project tag so other people who don't know or don't care about team tags can also find this task when searching via projects.

Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 24 2020, 7:20 PM
JTannerWMF moved this task from To Triage to Triaged on the VisualEditor board.Jul 28 2020, 3:40 PM
JTannerWMF added a subscriber: JTannerWMF.

There doesn't appear to be an action for the Editing team

Change 617702 had a related patch set uploaded (by AdhamKhatean; owner: AdhamKhatean):
[mediawiki/extensions/TemplateData@master] WIP demonstration do allow different maps to be edited separately

https://gerrit.wikimedia.org/r/617702

Tchanders updated the task description. (Show Details)Aug 10 2020, 11:12 AM

Change 617702 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Allow different maps to be edited separately

https://gerrit.wikimedia.org/r/617702

Tchanders updated the task description. (Show Details)Aug 30 2020, 5:25 PM
Tchanders closed this task as Resolved.Sep 3 2020, 3:58 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 3 2020, 3:58 PM

Change 628333 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TemplateData@master] Add missing ResourceLoader module for the trash icon

https://gerrit.wikimedia.org/r/628333

Change 628333 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Add missing ResourceLoader module for the trash icon

https://gerrit.wikimedia.org/r/628333